import request from '@/utils/request'

// 查询工资报工信息列表
export function listSalaryDetail(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetail/list',
    method: 'get',
    params: query
  })
}

// 查询工资报工信息详细
export function getSalaryDetail(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetail/' + id,
    method: 'get'
  })
}

// 新增工资报工信息
export function addSalaryDetail(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetail',
    method: 'post',
    data: data
  })
}

// 修改工资报工信息
export function updateSalaryDetail(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetail',
    method: 'put',
    data: data
  })
}

// 删除工资报工信息
export function delSalaryDetail(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetail/' + id,
    method: 'delete'
  })
}
